tvbrowser.core.icontheme

## Class DirectoryIconTheme

- java.lang.Object
- - tvbrowser.core.icontheme.IconTheme
  - - tvbrowser.core.icontheme.DirectoryIconTheme

- All Implemented Interfaces:
    java.lang.Comparable<IconTheme>

      public class DirectoryIconTheme
      extends IconTheme

  This Class implements the IconTheme for a Directory.
  Author:
    bodum

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryIconTheme(java.io.File iconDir)` Create the Directory Icon Theme

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `entryExists(java.lang.String entry)` Tests if an Entry exists in the Icon-Theme
    `protected javax.swing.ImageIcon` | `getImageFromTheme(java.lang.String image)` Get an Image from the Icon-Theme
    `protected java.io.InputStream` | `getInputStream(java.lang.String entry)` Get an InputStream from the Icon-Theme.

    - ### Methods inherited from class tvbrowser.core.icontheme.IconTheme

      `compareTo, equals, getBase, getComment, getIcon, getName, hashCode, loadTheme`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryIconTheme

          public DirectoryIconTheme(java.io.File iconDir)

      Create the Directory Icon Theme
      Parameters:
        `iconDir` - Directory with Theme

  - ### Method Detail

    - #### getInputStream

          protected java.io.InputStream getInputStream(java.lang.String entry)

      Get an InputStream from the Icon-Theme.
      Specified by:
        `getInputStream` in class `IconTheme`
      Parameters:
        `entry` - File/Entry to load
      Returns:
        InputStream of specific Entry

    - #### entryExists

          protected boolean entryExists(java.lang.String entry)

      Tests if an Entry exists in the Icon-Theme
      Specified by:
        `entryExists` in class `IconTheme`
      Parameters:
        `entry` - check for this Entry
      Returns:
        True, if the Entry exists

    - #### getImageFromTheme

          protected javax.swing.ImageIcon getImageFromTheme(java.lang.String image)

      Get an Image from the Icon-Theme
      Specified by:
        `getImageFromTheme` in class `IconTheme`
      Parameters:
        `image` - get this Image
      Returns:
        Image

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)